Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.config
Interface KernelConfig

All Superinterfaces:
  KernelEventEmitter, KernelObject

All Known Implementing Classes:
  AbstractKernelConfig

public interface KernelConfig
extends KernelObject

Kernel Configuration.

Provides kernel configuration options.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock, Les A. Hazlewood

Method Summary
`KernelBus` | `createKernelBus()` Create a kernel bus
`KernelConfigurator` | `createKernelConfigurator()` Create a kernel configurator
`KernelController` | `createKernelController()` Create a kernel controller
`KernelEventManager` | `createKernelEventManager()` Create a kernel event manager
`KernelInitializer` | `createKernelInitializer()` Create a kernel initializer
`KernelRegistry` | `createKernelRegistry()` Create a kernel registry
`BeanInfo` | `getBeanInfo(Class clazz)` Get the bean info
`BeanInfo` | `getBeanInfo(String className, ClassLoader cl)` Get the bean info
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo(Class clazz)` Get the class info for a class
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo(String className, ClassLoader cl)` Get the class info for a class

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Method Detail

### getBeanInfo

    public BeanInfo getBeanInfo(String className,
                                ClassLoader cl)
                         throws Throwable

  Get the bean info

  Parameters:
    `className` - the class name
    `cl` - the classloader
  Returns:
    the bean info
  Throws:
    `Throwable` - for any error

### getBeanInfo

    public BeanInfo getBeanInfo(Class clazz)
                         throws Throwable

  Get the bean info

  Parameters:
    `clazz` - the class
  Returns:
    the bean info
  Throws:
    `Throwable` - for any error

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo(String className,
                                                        ClassLoader cl)
                                                 throws Throwable

  Get the class info for a class

  Parameters:
    `className` - the class name
    `cl` - the classloader
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo(Class clazz)
                                                 throws Throwable

  Get the class info for a class

  Parameters:
    `clazz` - the class
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

### createKernelBus

    public KernelBus createKernelBus()
                              throws Throwable

  Create a kernel bus

  Returns:
    the kernel bus
  Throws:
    `Throwable` - for any error

### createKernelConfigurator

    public KernelConfigurator createKernelConfigurator()
                                                throws Throwable

  Create a kernel configurator

  Returns:
    the kernel configurator
  Throws:
    `Throwable` - for any error

### createKernelController

    public KernelController createKernelController()
                                            throws Throwable

  Create a kernel controller

  Returns:
    the kernel controller
  Throws:
    `Throwable` - for any error

### createKernelEventManager

    public KernelEventManager createKernelEventManager()
                                                throws Throwable

  Create a kernel event manager

  Returns:
    the kernel event manager
  Throws:
    `Throwable` - for any error

### createKernelInitializer

    public KernelInitializer createKernelInitializer()
                                              throws Throwable

  Create a kernel initializer

  Returns:
    the kernel initializer
  Throws:
    `Throwable` - for any error

### createKernelRegistry

    public KernelRegistry createKernelRegistry()
                                        throws Throwable

  Create a kernel registry

  Returns:
    the kernel registry
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.